<div class="sub-ibox-filter">

  <div id="account-filter-body" class="collapse show">

    <div class="p-2">

      <form [formGroup]="formGroup" (ngSubmit)="onSubmit()" appFocusInvalidInput autocomplete="off">

        <div class="row ">

          <div class="col-md-2 mt-2">

          <ngx-select
            [items]="accountTypeList"
            [optionValueField]="'code'"
            [optionTextField]="'label'"
            formControlName="accountType"
            [placeholder]="'FIELD.COMPTE_TYPE'|translate"
            size='small'
            [ngClass]="{'disabled': formGroup.get('accountType').disabled}">
          </ngx-select>


            <div *ngIf="formGroup.get('accountType').invalid && showValidationsMsg">
              <div *ngIf="formGroup.get('accountType').errors.required" class="text-danger">
                <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
              </div>
            </div>

          </div>

          <div class="col-md-3 mt-2">
            <ngx-select
            [items]="formGroup.get('accountType').value === 'PP' ? accountPPList : formGroup.get('accountType').value === 'PM' ? accountPMList : null"
            [optionValueField]="'code'"
            [optionTextField]="'description'"
            formControlName="accountCode"
            [placeholder]="'FIELD.CODE_COMPTE'|translate"
            size='small'
            [ngClass]="{'disabled': formGroup.get('accountCode').disabled}">
          </ngx-select>



            <div *ngIf="formGroup.get('accountCode').invalid && showValidationsMsg">
              <div *ngIf="formGroup.get('accountCode').errors.required" class="text-danger">
                <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
              </div>
            </div>

          </div>

          <div class=" col-md-5 buttons-oriontation text-left mt-2">
            <button type="button" class="reset-button btn  btn-sm mr-2" [title]="'FIELD.BUTTONS.RESET'|translate" (click)="initFormGroup(); onSubmit()"><i class="ri-arrow-go-back-line"></i></button>
            <button type="submit" class="submit-button btn  btn-sm" [title]="'FIELD.BUTTONS.SEARCH'|translate"><i class="ri-search-2-line"></i></button>
          </div>

        </div>

      </form>

    </div>

  </div>

</div>
